#!@SHELL@
#---------------------------------------------------------
#
#---------------------------------------------------------

LIB_DIR=@CMAKE_INSTALL_PREFIX@/share/java;	    export LIB_DIR
APP_DIR=@CMAKE_INSTALL_PREFIX@/share/java;	    export APP_DIR

#---------------------------------------------------------
#       Set the Class Path Jdraw usage
#---------------------------------------------------------


TANGO=$LIB_DIR/JTango.jar
TANGOATK=$LIB_DIR/ATKCore.jar:$LIB_DIR/ATKWidget.jar:$LIB_DIR/ATKPanel.jar

APPLI_PACKAGE=fr.esrf.tangoatk.widget.util.jdraw;	export APPLI_PACKAGE
APPLI_MAIN_CLASS=JDrawEditorFrame; export APPLI_MAIN_CLASS

CLASSPATH=$TANGOATK:$TANGO
export CLASSPATH
echo "CLASSPATH=$CLASSPATH"
LOGBACK=${TANGO_LOGBACK:-@CMAKE_INSTALL_PREFIX@/share/tango/logback.xml}

echo Running Jdraw ...

#---------------------------------------------------------
#       Start the Jdraw process
#---------------------------------------------------------
#

@TSD_JAVA_EXEC@ \
    -Dlogback.configurationFile="$LOGBACK" \
    $APPLI_PACKAGE.$APPLI_MAIN_CLASS \
    "$@"
